Page MenuHomePhabricator

Add filter set for 'Watchlisted pages' to RC Filters
Closed, ResolvedPublic8 Story Points

Description

Add a filter to the RC Filters set that enables (logged in) users to identify changes to pages on their Watchlist. There will be three options, as shown below (with proposed language) below:

Watchlisted pages

On Watchlist
Changes to pages on your Watchlist.

New Watchlist changes
Changes to Watchlisted pages you haven't visited since the changes occurred.

Not on Watchlist
Everything except changes to your Watchlisted pages.

Functionality

  • "New Watchlist changes" is a subset of "On Watchlist." If the user selects both filters, "New" is shown in the "no-effect" display state.
  • The "Not on Watchlist" option finds EVERYTHING that is not an "On Watchlist" change. I.e., together, "On Watchlist" and "Not on Watchlist" provide total coverage.
  • Position of group: add to the end of the existing menu.

Event Timeline

jmatazzoni renamed this task from Add filter set for ' to Add filter set for 'Watchlisted pages' to RC Filters .Apr 26 2017, 11:50 PM
jmatazzoni created this task.

@Pginer-WMF, the functionality re. the filters being displayed but grayed out was suggested by James. I don't think we have a design for that. Can you please provide one—unless you disagree with this functionality. It was suggested by James. It's not consistent with what we did for Patrolled, though I rather wish it were...

I suggest we keep things consistent, and that we either use the grayed out treatment for both this and the patrolled filter, or hide both. In other words, let's make the issue of whether unavailable filters are hidden or grayed out orthogonal to this task, and move it to a separate task.

Catrope updated the task description. (Show Details)Apr 28 2017, 10:01 PM
Catrope set the point value for this task to 8.

I suggest we keep things consistent, and that we either use the grayed out treatment for both this and the patrolled filter, or hide both. In other words, let's make the issue of whether unavailable filters are hidden or grayed out orthogonal to this task, and move it to a separate task.

Broken out to T164122. Additionally, we don't really have to figure this out for this task just yet, because while RCFilters is in beta, users who are not logged in cannot possibly see the RCFilters UI.

Change 351193 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RC Filters: watchlist

https://gerrit.wikimedia.org/r/351193

Change 351309 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RC Filters: group.allSelected consider subsets

https://gerrit.wikimedia.org/r/351309

Change 351309 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: group.allSelected consider subsets

https://gerrit.wikimedia.org/r/351309

Change 351193 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: watchlist

https://gerrit.wikimedia.org/r/351193

@Etonkovidova showed me that this was broken somehow. IIRC it was that when both filtering and highlighting by "New watchlist changes", you'd expect all displayed changes to be highlighted, but they weren't.

@Etonkovidova showed me that this was broken somehow. IIRC it was that when both filtering and highlighting by "New watchlist changes", you'd expect all displayed changes to be highlighted, but they weren't.

From what I can see it highlights too much. Patch coming.

Change 351380 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RC Filters: watch filter highlight

https://gerrit.wikimedia.org/r/351380

Change 351380 merged by jenkins-bot:
[mediawiki/core@master] RC Filters: watch filter highlight

https://gerrit.wikimedia.org/r/351380

QA Recommendation: Resolve

Note: Logged actions that have a link to a user page (e.g. changing user rights) will be fetched by 'On Watchlist' filter.

jmatazzoni closed this task as Resolved.May 3 2017, 10:20 PM
RandomDSdevel rescinded a token.